// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.12
// source: v1alpha1/runtime.proto

package v1alpha1

import (
	reflect "reflect"
	sync "sync"

	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ControllerInputKind int32

const (
	// Controllers are notified on changes to weak inputs.
	//
	// Weak inputs can't have finalizers set on.
	// Controller watches weak inputs, but it doesn't depend in a strong way on a resource,
	// so that resource can be deleted without any cleanup required on the controller side.
	ControllerInputKind_WEAK ControllerInputKind = 0
	// Strong inputs build upon weak inputs, the difference is that controller signals
	// that it should be notified (via teardown) that resource is going to be deleted.
	//
	// Controller can add finalizers on strong inputs.
	ControllerInputKind_STRONG ControllerInputKind = 1
	// DestroyReady inputs provide notifications to the controllers when some resource
	// is ready to be destroyed (all finalizers are removed).
	//
	// Usually outputs are declared as DestroyReady inputs to trigger reconcile loop
	// when the resource is ready to be destroyed.
	//
	// Controller will be notified when the resource enters "teardown" phase and has no
	// finalizers attached.
	// Resources are filtered to be owned by the controller.
	ControllerInputKind_DESTROY_READY ControllerInputKind = 2
)

// Enum value maps for ControllerInputKind.
var (
	ControllerInputKind_name = map[int32]string{
		0: "WEAK",
		1: "STRONG",
		2: "DESTROY_READY",
	}
	ControllerInputKind_value = map[string]int32{
		"WEAK":          0,
		"STRONG":        1,
		"DESTROY_READY": 2,
	}
)

func (x ControllerInputKind) Enum() *ControllerInputKind {
	p := new(ControllerInputKind)
	*p = x
	return p
}

func (x ControllerInputKind) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ControllerInputKind) Descriptor() protoreflect.EnumDescriptor {
	return file_v1alpha1_runtime_proto_enumTypes[0].Descriptor()
}

func (ControllerInputKind) Type() protoreflect.EnumType {
	return &file_v1alpha1_runtime_proto_enumTypes[0]
}

func (x ControllerInputKind) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ControllerInputKind.Descriptor instead.
func (ControllerInputKind) EnumDescriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{0}
}

type ControllerOutputKind int32

const (
	// Exclusive output implies that the resource type is owned by a single controller.
	//
	// No other controller can register same resource type as either exclusive or shared output,
	// so any resource of the type is only modified by a single controller.
	ControllerOutputKind_EXCLUSIVE ControllerOutputKind = 0
	// Shared output means that controller only owns instances of the resource type which were created
	// by the controller.
	//
	// Many controllers can register same resource type as a shared output. Each controller owns
	// only the resources which were created by the controller.
	ControllerOutputKind_SHARED ControllerOutputKind = 1
)

// Enum value maps for ControllerOutputKind.
var (
	ControllerOutputKind_name = map[int32]string{
		0: "EXCLUSIVE",
		1: "SHARED",
	}
	ControllerOutputKind_value = map[string]int32{
		"EXCLUSIVE": 0,
		"SHARED":    1,
	}
)

func (x ControllerOutputKind) Enum() *ControllerOutputKind {
	p := new(ControllerOutputKind)
	*p = x
	return p
}

func (x ControllerOutputKind) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ControllerOutputKind) Descriptor() protoreflect.EnumDescriptor {
	return file_v1alpha1_runtime_proto_enumTypes[1].Descriptor()
}

func (ControllerOutputKind) Type() protoreflect.EnumType {
	return &file_v1alpha1_runtime_proto_enumTypes[1]
}

func (x ControllerOutputKind) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ControllerOutputKind.Descriptor instead.
func (ControllerOutputKind) EnumDescriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{1}
}

// ControllerInput describes resources which controller depends on.
//
// Controller is notified about each input resource change.
// Controller can either depend on a specific resource instance (by id) or
// it might watch all the resources under a namespace.
// Controller input might not exist yet when the input is registered.
//
// Controller has read-only access to its inputs.
type ControllerInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Kind      ControllerInputKind `protobuf:"varint,1,opt,name=kind,proto3,enum=cosi.runtime.ControllerInputKind" json:"kind,omitempty"`
	Namespace string              `protobuf:"bytes,2,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Type      string              `protobuf:"bytes,3,opt,name=type,proto3" json:"type,omitempty"`
	Id        *string             `protobuf:"bytes,4,opt,name=id,proto3,oneof" json:"id,omitempty"`
}

func (x *ControllerInput) Reset() {
	*x = ControllerInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ControllerInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ControllerInput) ProtoMessage() {}

func (x *ControllerInput) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ControllerInput.ProtoReflect.Descriptor instead.
func (*ControllerInput) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{0}
}

func (x *ControllerInput) GetKind() ControllerInputKind {
	if x != nil {
		return x.Kind
	}
	return ControllerInputKind_WEAK
}

func (x *ControllerInput) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *ControllerInput) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *ControllerInput) GetId() string {
	if x != nil && x.Id != nil {
		return *x.Id
	}
	return ""
}

// ControllerOutput describes resources which controller can modify (created, update and destroy).
//
// Output is defined by a resource type, so controller claims ownerships of the resource type across
// all namespaces.
type ControllerOutput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type string               `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	Kind ControllerOutputKind `protobuf:"varint,3,opt,name=kind,proto3,enum=cosi.runtime.ControllerOutputKind" json:"kind,omitempty"`
}

func (x *ControllerOutput) Reset() {
	*x = ControllerOutput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ControllerOutput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ControllerOutput) ProtoMessage() {}

func (x *ControllerOutput) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ControllerOutput.ProtoReflect.Descriptor instead.
func (*ControllerOutput) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{1}
}

func (x *ControllerOutput) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *ControllerOutput) GetKind() ControllerOutputKind {
	if x != nil {
		return x.Kind
	}
	return ControllerOutputKind_EXCLUSIVE
}

type RegisterControllerRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerName string              `protobuf:"bytes,1,opt,name=controller_name,json=controllerName,proto3" json:"controller_name,omitempty"`
	Inputs         []*ControllerInput  `protobuf:"bytes,2,rep,name=inputs,proto3" json:"inputs,omitempty"`
	Outputs        []*ControllerOutput `protobuf:"bytes,3,rep,name=outputs,proto3" json:"outputs,omitempty"`
}

func (x *RegisterControllerRequest) Reset() {
	*x = RegisterControllerRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RegisterControllerRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RegisterControllerRequest) ProtoMessage() {}

func (x *RegisterControllerRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RegisterControllerRequest.ProtoReflect.Descriptor instead.
func (*RegisterControllerRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{2}
}

func (x *RegisterControllerRequest) GetControllerName() string {
	if x != nil {
		return x.ControllerName
	}
	return ""
}

func (x *RegisterControllerRequest) GetInputs() []*ControllerInput {
	if x != nil {
		return x.Inputs
	}
	return nil
}

func (x *RegisterControllerRequest) GetOutputs() []*ControllerOutput {
	if x != nil {
		return x.Outputs
	}
	return nil
}

type RegisterControllerResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
}

func (x *RegisterControllerResponse) Reset() {
	*x = RegisterControllerResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RegisterControllerResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RegisterControllerResponse) ProtoMessage() {}

func (x *RegisterControllerResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RegisterControllerResponse.ProtoReflect.Descriptor instead.
func (*RegisterControllerResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{3}
}

func (x *RegisterControllerResponse) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

type StartRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *StartRequest) Reset() {
	*x = StartRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StartRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StartRequest) ProtoMessage() {}

func (x *StartRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StartRequest.ProtoReflect.Descriptor instead.
func (*StartRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{4}
}

type StartResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *StartResponse) Reset() {
	*x = StartResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StartResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StartResponse) ProtoMessage() {}

func (x *StartResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StartResponse.ProtoReflect.Descriptor instead.
func (*StartResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{5}
}

type StopRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *StopRequest) Reset() {
	*x = StopRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StopRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StopRequest) ProtoMessage() {}

func (x *StopRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StopRequest.ProtoReflect.Descriptor instead.
func (*StopRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{6}
}

type StopResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *StopResponse) Reset() {
	*x = StopResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StopResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StopResponse) ProtoMessage() {}

func (x *StopResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StopResponse.ProtoReflect.Descriptor instead.
func (*StopResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{7}
}

type ReconcileEventsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
}

func (x *ReconcileEventsRequest) Reset() {
	*x = ReconcileEventsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReconcileEventsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReconcileEventsRequest) ProtoMessage() {}

func (x *ReconcileEventsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReconcileEventsRequest.ProtoReflect.Descriptor instead.
func (*ReconcileEventsRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{8}
}

func (x *ReconcileEventsRequest) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

type ReconcileEventsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ReconcileEventsResponse) Reset() {
	*x = ReconcileEventsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReconcileEventsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReconcileEventsResponse) ProtoMessage() {}

func (x *ReconcileEventsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReconcileEventsResponse.ProtoReflect.Descriptor instead.
func (*ReconcileEventsResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{9}
}

type QueueReconcileRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
}

func (x *QueueReconcileRequest) Reset() {
	*x = QueueReconcileRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *QueueReconcileRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QueueReconcileRequest) ProtoMessage() {}

func (x *QueueReconcileRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QueueReconcileRequest.ProtoReflect.Descriptor instead.
func (*QueueReconcileRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{10}
}

func (x *QueueReconcileRequest) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

type QueueReconcileResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *QueueReconcileResponse) Reset() {
	*x = QueueReconcileResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *QueueReconcileResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QueueReconcileResponse) ProtoMessage() {}

func (x *QueueReconcileResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QueueReconcileResponse.ProtoReflect.Descriptor instead.
func (*QueueReconcileResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{11}
}

type UpdateInputsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string             `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
	Inputs          []*ControllerInput `protobuf:"bytes,2,rep,name=inputs,proto3" json:"inputs,omitempty"`
}

func (x *UpdateInputsRequest) Reset() {
	*x = UpdateInputsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateInputsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateInputsRequest) ProtoMessage() {}

func (x *UpdateInputsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateInputsRequest.ProtoReflect.Descriptor instead.
func (*UpdateInputsRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{12}
}

func (x *UpdateInputsRequest) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

func (x *UpdateInputsRequest) GetInputs() []*ControllerInput {
	if x != nil {
		return x.Inputs
	}
	return nil
}

type UpdateInputsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *UpdateInputsResponse) Reset() {
	*x = UpdateInputsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateInputsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateInputsResponse) ProtoMessage() {}

func (x *UpdateInputsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateInputsResponse.ProtoReflect.Descriptor instead.
func (*UpdateInputsResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{13}
}

type RuntimeGetRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
	Namespace       string `protobuf:"bytes,2,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Type            string `protobuf:"bytes,3,opt,name=type,proto3" json:"type,omitempty"`
	Id              string `protobuf:"bytes,4,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *RuntimeGetRequest) Reset() {
	*x = RuntimeGetRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeGetRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeGetRequest) ProtoMessage() {}

func (x *RuntimeGetRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeGetRequest.ProtoReflect.Descriptor instead.
func (*RuntimeGetRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{14}
}

func (x *RuntimeGetRequest) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

func (x *RuntimeGetRequest) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *RuntimeGetRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *RuntimeGetRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type RuntimeGetResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Resource *Resource `protobuf:"bytes,1,opt,name=resource,proto3" json:"resource,omitempty"`
}

func (x *RuntimeGetResponse) Reset() {
	*x = RuntimeGetResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeGetResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeGetResponse) ProtoMessage() {}

func (x *RuntimeGetResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeGetResponse.ProtoReflect.Descriptor instead.
func (*RuntimeGetResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{15}
}

func (x *RuntimeGetResponse) GetResource() *Resource {
	if x != nil {
		return x.Resource
	}
	return nil
}

type RuntimeListOptions struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	LabelQuery []*LabelQuery `protobuf:"bytes,1,rep,name=label_query,json=labelQuery,proto3" json:"label_query,omitempty"`
}

func (x *RuntimeListOptions) Reset() {
	*x = RuntimeListOptions{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeListOptions) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeListOptions) ProtoMessage() {}

func (x *RuntimeListOptions) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeListOptions.ProtoReflect.Descriptor instead.
func (*RuntimeListOptions) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{16}
}

func (x *RuntimeListOptions) GetLabelQuery() []*LabelQuery {
	if x != nil {
		return x.LabelQuery
	}
	return nil
}

type RuntimeListRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string              `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
	Namespace       string              `protobuf:"bytes,2,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Type            string              `protobuf:"bytes,3,opt,name=type,proto3" json:"type,omitempty"`
	Options         *RuntimeListOptions `protobuf:"bytes,4,opt,name=options,proto3" json:"options,omitempty"`
}

func (x *RuntimeListRequest) Reset() {
	*x = RuntimeListRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeListRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeListRequest) ProtoMessage() {}

func (x *RuntimeListRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeListRequest.ProtoReflect.Descriptor instead.
func (*RuntimeListRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{17}
}

func (x *RuntimeListRequest) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

func (x *RuntimeListRequest) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *RuntimeListRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *RuntimeListRequest) GetOptions() *RuntimeListOptions {
	if x != nil {
		return x.Options
	}
	return nil
}

type RuntimeListResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Resource *Resource `protobuf:"bytes,1,opt,name=resource,proto3" json:"resource,omitempty"`
}

func (x *RuntimeListResponse) Reset() {
	*x = RuntimeListResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeListResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeListResponse) ProtoMessage() {}

func (x *RuntimeListResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeListResponse.ProtoReflect.Descriptor instead.
func (*RuntimeListResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{18}
}

func (x *RuntimeListResponse) GetResource() *Resource {
	if x != nil {
		return x.Resource
	}
	return nil
}

type RuntimeWatchForRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string                    `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
	Namespace       string                    `protobuf:"bytes,2,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Type            string                    `protobuf:"bytes,3,opt,name=type,proto3" json:"type,omitempty"`
	Id              string                    `protobuf:"bytes,4,opt,name=id,proto3" json:"id,omitempty"`
	FinalizersEmpty *ConditionFinalizersEmpty `protobuf:"bytes,5,opt,name=finalizers_empty,json=finalizersEmpty,proto3" json:"finalizers_empty,omitempty"`
}

func (x *RuntimeWatchForRequest) Reset() {
	*x = RuntimeWatchForRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[19]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeWatchForRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeWatchForRequest) ProtoMessage() {}

func (x *RuntimeWatchForRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[19]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeWatchForRequest.ProtoReflect.Descriptor instead.
func (*RuntimeWatchForRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{19}
}

func (x *RuntimeWatchForRequest) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

func (x *RuntimeWatchForRequest) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *RuntimeWatchForRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *RuntimeWatchForRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *RuntimeWatchForRequest) GetFinalizersEmpty() *ConditionFinalizersEmpty {
	if x != nil {
		return x.FinalizersEmpty
	}
	return nil
}

type ConditionFinalizersEmpty struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ConditionFinalizersEmpty) Reset() {
	*x = ConditionFinalizersEmpty{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[20]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConditionFinalizersEmpty) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConditionFinalizersEmpty) ProtoMessage() {}

func (x *ConditionFinalizersEmpty) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[20]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConditionFinalizersEmpty.ProtoReflect.Descriptor instead.
func (*ConditionFinalizersEmpty) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{20}
}

type RuntimeWatchForResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Resource *Resource `protobuf:"bytes,1,opt,name=resource,proto3" json:"resource,omitempty"`
}

func (x *RuntimeWatchForResponse) Reset() {
	*x = RuntimeWatchForResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[21]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeWatchForResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeWatchForResponse) ProtoMessage() {}

func (x *RuntimeWatchForResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[21]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeWatchForResponse.ProtoReflect.Descriptor instead.
func (*RuntimeWatchForResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{21}
}

func (x *RuntimeWatchForResponse) GetResource() *Resource {
	if x != nil {
		return x.Resource
	}
	return nil
}

type RuntimeCreateRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string    `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
	Resource        *Resource `protobuf:"bytes,2,opt,name=resource,proto3" json:"resource,omitempty"`
}

func (x *RuntimeCreateRequest) Reset() {
	*x = RuntimeCreateRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[22]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeCreateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeCreateRequest) ProtoMessage() {}

func (x *RuntimeCreateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[22]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeCreateRequest.ProtoReflect.Descriptor instead.
func (*RuntimeCreateRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{22}
}

func (x *RuntimeCreateRequest) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

func (x *RuntimeCreateRequest) GetResource() *Resource {
	if x != nil {
		return x.Resource
	}
	return nil
}

type RuntimeCreateResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Resource *Resource `protobuf:"bytes,1,opt,name=resource,proto3" json:"resource,omitempty"`
}

func (x *RuntimeCreateResponse) Reset() {
	*x = RuntimeCreateResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[23]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeCreateResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeCreateResponse) ProtoMessage() {}

func (x *RuntimeCreateResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[23]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeCreateResponse.ProtoReflect.Descriptor instead.
func (*RuntimeCreateResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{23}
}

func (x *RuntimeCreateResponse) GetResource() *Resource {
	if x != nil {
		return x.Resource
	}
	return nil
}

type RuntimeUpdateRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string    `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
	NewResource     *Resource `protobuf:"bytes,3,opt,name=new_resource,json=newResource,proto3" json:"new_resource,omitempty"`
}

func (x *RuntimeUpdateRequest) Reset() {
	*x = RuntimeUpdateRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[24]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeUpdateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeUpdateRequest) ProtoMessage() {}

func (x *RuntimeUpdateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[24]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeUpdateRequest.ProtoReflect.Descriptor instead.
func (*RuntimeUpdateRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{24}
}

func (x *RuntimeUpdateRequest) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

func (x *RuntimeUpdateRequest) GetNewResource() *Resource {
	if x != nil {
		return x.NewResource
	}
	return nil
}

type RuntimeUpdateResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Resource *Resource `protobuf:"bytes,1,opt,name=resource,proto3" json:"resource,omitempty"`
}

func (x *RuntimeUpdateResponse) Reset() {
	*x = RuntimeUpdateResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[25]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeUpdateResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeUpdateResponse) ProtoMessage() {}

func (x *RuntimeUpdateResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[25]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeUpdateResponse.ProtoReflect.Descriptor instead.
func (*RuntimeUpdateResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{25}
}

func (x *RuntimeUpdateResponse) GetResource() *Resource {
	if x != nil {
		return x.Resource
	}
	return nil
}

type RuntimeTeardownRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string   `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
	Namespace       string   `protobuf:"bytes,2,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Type            string   `protobuf:"bytes,3,opt,name=type,proto3" json:"type,omitempty"`
	Id              string   `protobuf:"bytes,4,opt,name=id,proto3" json:"id,omitempty"`
	Options         *Options `protobuf:"bytes,5,opt,name=options,proto3" json:"options,omitempty"`
}

func (x *RuntimeTeardownRequest) Reset() {
	*x = RuntimeTeardownRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[26]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeTeardownRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeTeardownRequest) ProtoMessage() {}

func (x *RuntimeTeardownRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[26]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeTeardownRequest.ProtoReflect.Descriptor instead.
func (*RuntimeTeardownRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{26}
}

func (x *RuntimeTeardownRequest) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

func (x *RuntimeTeardownRequest) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *RuntimeTeardownRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *RuntimeTeardownRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *RuntimeTeardownRequest) GetOptions() *Options {
	if x != nil {
		return x.Options
	}
	return nil
}

type Options struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Owner *string `protobuf:"bytes,1,opt,name=owner,proto3,oneof" json:"owner,omitempty"`
}

func (x *Options) Reset() {
	*x = Options{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[27]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Options) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Options) ProtoMessage() {}

func (x *Options) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[27]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Options.ProtoReflect.Descriptor instead.
func (*Options) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{27}
}

func (x *Options) GetOwner() string {
	if x != nil && x.Owner != nil {
		return *x.Owner
	}
	return ""
}

type RuntimeTeardownResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Ready bool `protobuf:"varint,1,opt,name=ready,proto3" json:"ready,omitempty"`
}

func (x *RuntimeTeardownResponse) Reset() {
	*x = RuntimeTeardownResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[28]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeTeardownResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeTeardownResponse) ProtoMessage() {}

func (x *RuntimeTeardownResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[28]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeTeardownResponse.ProtoReflect.Descriptor instead.
func (*RuntimeTeardownResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{28}
}

func (x *RuntimeTeardownResponse) GetReady() bool {
	if x != nil {
		return x.Ready
	}
	return false
}

type RuntimeDestroyRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string   `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
	Namespace       string   `protobuf:"bytes,2,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Type            string   `protobuf:"bytes,3,opt,name=type,proto3" json:"type,omitempty"`
	Id              string   `protobuf:"bytes,4,opt,name=id,proto3" json:"id,omitempty"`
	Options         *Options `protobuf:"bytes,5,opt,name=options,proto3" json:"options,omitempty"`
}

func (x *RuntimeDestroyRequest) Reset() {
	*x = RuntimeDestroyRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[29]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeDestroyRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeDestroyRequest) ProtoMessage() {}

func (x *RuntimeDestroyRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[29]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeDestroyRequest.ProtoReflect.Descriptor instead.
func (*RuntimeDestroyRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{29}
}

func (x *RuntimeDestroyRequest) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

func (x *RuntimeDestroyRequest) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *RuntimeDestroyRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *RuntimeDestroyRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *RuntimeDestroyRequest) GetOptions() *Options {
	if x != nil {
		return x.Options
	}
	return nil
}

type RuntimeDestroyResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *RuntimeDestroyResponse) Reset() {
	*x = RuntimeDestroyResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[30]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeDestroyResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeDestroyResponse) ProtoMessage() {}

func (x *RuntimeDestroyResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[30]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeDestroyResponse.ProtoReflect.Descriptor instead.
func (*RuntimeDestroyResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{30}
}

type RuntimeAddFinalizerRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string   `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
	Namespace       string   `protobuf:"bytes,2,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Type            string   `protobuf:"bytes,3,opt,name=type,proto3" json:"type,omitempty"`
	Id              string   `protobuf:"bytes,4,opt,name=id,proto3" json:"id,omitempty"`
	Finalizers      []string `protobuf:"bytes,5,rep,name=finalizers,proto3" json:"finalizers,omitempty"`
}

func (x *RuntimeAddFinalizerRequest) Reset() {
	*x = RuntimeAddFinalizerRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[31]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeAddFinalizerRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeAddFinalizerRequest) ProtoMessage() {}

func (x *RuntimeAddFinalizerRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[31]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeAddFinalizerRequest.ProtoReflect.Descriptor instead.
func (*RuntimeAddFinalizerRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{31}
}

func (x *RuntimeAddFinalizerRequest) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

func (x *RuntimeAddFinalizerRequest) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *RuntimeAddFinalizerRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *RuntimeAddFinalizerRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *RuntimeAddFinalizerRequest) GetFinalizers() []string {
	if x != nil {
		return x.Finalizers
	}
	return nil
}

type RuntimeAddFinalizerResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *RuntimeAddFinalizerResponse) Reset() {
	*x = RuntimeAddFinalizerResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[32]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeAddFinalizerResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeAddFinalizerResponse) ProtoMessage() {}

func (x *RuntimeAddFinalizerResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[32]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeAddFinalizerResponse.ProtoReflect.Descriptor instead.
func (*RuntimeAddFinalizerResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{32}
}

type RuntimeRemoveFinalizerRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ControllerToken string   `protobuf:"bytes,1,opt,name=controller_token,json=controllerToken,proto3" json:"controller_token,omitempty"`
	Namespace       string   `protobuf:"bytes,2,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Type            string   `protobuf:"bytes,3,opt,name=type,proto3" json:"type,omitempty"`
	Id              string   `protobuf:"bytes,4,opt,name=id,proto3" json:"id,omitempty"`
	Finalizers      []string `protobuf:"bytes,5,rep,name=finalizers,proto3" json:"finalizers,omitempty"`
}

func (x *RuntimeRemoveFinalizerRequest) Reset() {
	*x = RuntimeRemoveFinalizerRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[33]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeRemoveFinalizerRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeRemoveFinalizerRequest) ProtoMessage() {}

func (x *RuntimeRemoveFinalizerRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[33]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeRemoveFinalizerRequest.ProtoReflect.Descriptor instead.
func (*RuntimeRemoveFinalizerRequest) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{33}
}

func (x *RuntimeRemoveFinalizerRequest) GetControllerToken() string {
	if x != nil {
		return x.ControllerToken
	}
	return ""
}

func (x *RuntimeRemoveFinalizerRequest) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *RuntimeRemoveFinalizerRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *RuntimeRemoveFinalizerRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *RuntimeRemoveFinalizerRequest) GetFinalizers() []string {
	if x != nil {
		return x.Finalizers
	}
	return nil
}

type RuntimeRemoveFinalizerResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *RuntimeRemoveFinalizerResponse) Reset() {
	*x = RuntimeRemoveFinalizerResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1alpha1_runtime_proto_msgTypes[34]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RuntimeRemoveFinalizerResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RuntimeRemoveFinalizerResponse) ProtoMessage() {}

func (x *RuntimeRemoveFinalizerResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1alpha1_runtime_proto_msgTypes[34]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RuntimeRemoveFinalizerResponse.ProtoReflect.Descriptor instead.
func (*RuntimeRemoveFinalizerResponse) Descriptor() ([]byte, []int) {
	return file_v1alpha1_runtime_proto_rawDescGZIP(), []int{34}
}

var File_v1alpha1_runtime_proto protoreflect.FileDescriptor

var file_v1alpha1_runtime_proto_rawDesc = []byte{
	0x0a, 0x16, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x31, 0x2f, 0x72, 0x75, 0x6e, 0x74, 0x69,
	0x6d, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0c, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72,
	0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x1a, 0x17, 0x76, 0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x31,
	0x2f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22,
	0x96, 0x01, 0x0a, 0x0f, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x49, 0x6e,
	0x70, 0x75, 0x74, 0x12, 0x35, 0x0a, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x21, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65,
	0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x49, 0x6e, 0x70, 0x75, 0x74,
	0x4b, 0x69, 0x6e, 0x64, 0x52, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x12, 0x1c, 0x0a, 0x09, 0x6e, 0x61,
	0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6e,
	0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x13, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x02, 0x69, 0x64, 0x88, 0x01,
	0x01, 0x42, 0x05, 0x0a, 0x03, 0x5f, 0x69, 0x64, 0x22, 0x5e, 0x0a, 0x10, 0x43, 0x6f, 0x6e, 0x74,
	0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x12, 0x12, 0x0a, 0x04,
	0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65,
	0x12, 0x36, 0x0a, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x22,
	0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x43, 0x6f,
	0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x4b, 0x69,
	0x6e, 0x64, 0x52, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x22, 0xb5, 0x01, 0x0a, 0x19, 0x52, 0x65, 0x67,
	0x69, 0x73, 0x74, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x27, 0x0a, 0x0f, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f,
	0x6c, 0x6c, 0x65, 0x72, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0e, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12,
	0x35, 0x0a, 0x06, 0x69, 0x6e, 0x70, 0x75, 0x74, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x1d, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x43,
	0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x52, 0x06,
	0x69, 0x6e, 0x70, 0x75, 0x74, 0x73, 0x12, 0x38, 0x0a, 0x07, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74,
	0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72,
	0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65,
	0x72, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x52, 0x07, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x73,
	0x22, 0x47, 0x0a, 0x1a, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x74,
	0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x29,
	0x0a, 0x10, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x5f, 0x74, 0x6f, 0x6b,
	0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f,
	0x6c, 0x6c, 0x65, 0x72, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x22, 0x0e, 0x0a, 0x0c, 0x53, 0x74, 0x61,
	0x72, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x0f, 0x0a, 0x0d, 0x53, 0x74, 0x61,
	0x72, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0d, 0x0a, 0x0b, 0x53, 0x74,
	0x6f, 0x70, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x0e, 0x0a, 0x0c, 0x53, 0x74, 0x6f,
	0x70, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x43, 0x0a, 0x16, 0x52, 0x65, 0x63,
	0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x29, 0x0a, 0x10, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65,
	0x72, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63,
	0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x22, 0x19,
	0x0a, 0x17, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x42, 0x0a, 0x15, 0x51, 0x75, 0x65,
	0x75, 0x65, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x29, 0x0a, 0x10, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72,
	0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63, 0x6f,
	0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x22, 0x18, 0x0a,
	0x16, 0x51, 0x75, 0x65, 0x75, 0x65, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x77, 0x0a, 0x13, 0x55, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x29,
	0x0a, 0x10, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x5f, 0x74, 0x6f, 0x6b,
	0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f,
	0x6c, 0x6c, 0x65, 0x72, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x35, 0x0a, 0x06, 0x69, 0x6e, 0x70,
	0x75, 0x74, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x63, 0x6f, 0x73, 0x69,
	0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c,
	0x6c, 0x65, 0x72, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x52, 0x06, 0x69, 0x6e, 0x70, 0x75, 0x74, 0x73,
	0x22, 0x16, 0x0a, 0x14, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x73,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x80, 0x01, 0x0a, 0x11, 0x52, 0x75, 0x6e,
	0x74, 0x69, 0x6d, 0x65, 0x47, 0x65, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x29,
	0x0a, 0x10, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x5f, 0x74, 0x6f, 0x6b,
	0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f,
	0x6c, 0x6c, 0x65, 0x72, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x1c, 0x0a, 0x09, 0x6e, 0x61, 0x6d,
	0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6e, 0x61,
	0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69,
	0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x22, 0x49, 0x0a, 0x12, 0x52,
	0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x47, 0x65, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x33, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x65, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x52, 0x08, 0x72, 0x65,
	0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x22, 0x50, 0x0a, 0x12, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d,
	0x65, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x3a, 0x0a, 0x0b,
	0x6c, 0x61, 0x62, 0x65, 0x6c, 0x5f, 0x71, 0x75, 0x65, 0x72, 0x79, 0x18, 0x01, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x19, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x2e, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x51, 0x75, 0x65, 0x72, 0x79, 0x52, 0x0a, 0x6c, 0x61,
	0x62, 0x65, 0x6c, 0x51, 0x75, 0x65, 0x72, 0x79, 0x22, 0xad, 0x01, 0x0a, 0x12, 0x52, 0x75, 0x6e,
	0x74, 0x69, 0x6d, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x29, 0x0a, 0x10, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x5f, 0x74, 0x6f,
	0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63, 0x6f, 0x6e, 0x74, 0x72,
	0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x1c, 0x0a, 0x09, 0x6e, 0x61,
	0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6e,
	0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x3a, 0x0a, 0x07,
	0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e,
	0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75, 0x6e,
	0x74, 0x69, 0x6d, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52,
	0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x22, 0x4a, 0x0a, 0x13, 0x52, 0x75, 0x6e, 0x74,
	0x69, 0x6d, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x33, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x17, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x52, 0x08, 0x72, 0x65, 0x73, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x22, 0xd8, 0x01, 0x0a, 0x16, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65,
	0x57, 0x61, 0x74, 0x63, 0x68, 0x46, 0x6f, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x29, 0x0a, 0x10, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x5f, 0x74, 0x6f,
	0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63, 0x6f, 0x6e, 0x74, 0x72,
	0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x1c, 0x0a, 0x09, 0x6e, 0x61,
	0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6e,
	0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x0e, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x51, 0x0a, 0x10,
	0x66, 0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x73, 0x5f, 0x65, 0x6d, 0x70, 0x74, 0x79,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75,
	0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x46,
	0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x73, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x52, 0x0f,
	0x66, 0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x73, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22,
	0x1a, 0x0a, 0x18, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x46, 0x69, 0x6e, 0x61,
	0x6c, 0x69, 0x7a, 0x65, 0x72, 0x73, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22, 0x4e, 0x0a, 0x17, 0x52,
	0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x57, 0x61, 0x74, 0x63, 0x68, 0x46, 0x6f, 0x72, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x33, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e,
	0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x52, 0x08, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x22, 0x76, 0x0a, 0x14, 0x52,
	0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x29, 0x0a, 0x10, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65,
	0x72, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63,
	0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x33,
	0x0a, 0x08, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x17, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x52, 0x08, 0x72, 0x65, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x22, 0x4c, 0x0a, 0x15, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x43, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x33, 0x0a, 0x08,
	0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17,
	0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x2e, 0x52,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x52, 0x08, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x22, 0x94, 0x01, 0x0a, 0x14, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x55, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x29, 0x0a, 0x10, 0x63, 0x6f,
	0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72,
	0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x3a, 0x0a, 0x0c, 0x6e, 0x65, 0x77, 0x5f, 0x72, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x63, 0x6f,
	0x73, 0x69, 0x2e, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x2e, 0x52, 0x65, 0x73, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x52, 0x0b, 0x6e, 0x65, 0x77, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x4a, 0x04, 0x08, 0x02, 0x10, 0x03, 0x52, 0x0f, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74,
	0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x22, 0x4c, 0x0a, 0x15, 0x52, 0x75, 0x6e, 0x74,
	0x69, 0x6d, 0x65, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x33, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x65, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x52, 0x08, 0x72, 0x65,
	0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x22, 0xb6, 0x01, 0x0a, 0x16, 0x52, 0x75, 0x6e, 0x74, 0x69,
	0x6d, 0x65, 0x54, 0x65, 0x61, 0x72, 0x64, 0x6f, 0x77, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x29, 0x0a, 0x10, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x5f,
	0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63, 0x6f, 0x6e,
	0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x1c, 0x0a, 0x09,
	0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x09, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79,
	0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x2f,
	0x0a, 0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x15, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x4f,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x22,
	0x2e, 0x0a, 0x07, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x19, 0x0a, 0x05, 0x6f, 0x77,
	0x6e, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x6f, 0x77, 0x6e,
	0x65, 0x72, 0x88, 0x01, 0x01, 0x42, 0x08, 0x0a, 0x06, 0x5f, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x22,
	0x2f, 0x0a, 0x17, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x54, 0x65, 0x61, 0x72, 0x64, 0x6f,
	0x77, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x72, 0x65,
	0x61, 0x64, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x05, 0x72, 0x65, 0x61, 0x64, 0x79,
	0x22, 0xb5, 0x01, 0x0a, 0x15, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x44, 0x65, 0x73, 0x74,
	0x72, 0x6f, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x29, 0x0a, 0x10, 0x63, 0x6f,
	0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72,
	0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x1c, 0x0a, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61,
	0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
	0x61, 0x63, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x2f, 0x0a, 0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e,
	0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52,
	0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x22, 0x18, 0x0a, 0x16, 0x52, 0x75, 0x6e, 0x74,
	0x69, 0x6d, 0x65, 0x44, 0x65, 0x73, 0x74, 0x72, 0x6f, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0xa9, 0x01, 0x0a, 0x1a, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x41, 0x64,
	0x64, 0x46, 0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x29, 0x0a, 0x10, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x5f,
	0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63, 0x6f, 0x6e,
	0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x1c, 0x0a, 0x09,
	0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x09, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79,
	0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1e,
	0x0a, 0x0a, 0x66, 0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x73, 0x18, 0x05, 0x20, 0x03,
	0x28, 0x09, 0x52, 0x0a, 0x66, 0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x73, 0x22, 0x1d,
	0x0a, 0x1b, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x41, 0x64, 0x64, 0x46, 0x69, 0x6e, 0x61,
	0x6c, 0x69, 0x7a, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0xac, 0x01,
	0x0a, 0x1d, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x46,
	0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x29, 0x0a, 0x10, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x5f, 0x74, 0x6f,
	0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x63, 0x6f, 0x6e, 0x74, 0x72,
	0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x1c, 0x0a, 0x09, 0x6e, 0x61,
	0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6e,
	0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x0e, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1e, 0x0a, 0x0a,
	0x66, 0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x09,
	0x52, 0x0a, 0x66, 0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x73, 0x22, 0x20, 0x0a, 0x1e,
	0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x46, 0x69, 0x6e,
	0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2a, 0x3e,
	0x0a, 0x13, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x49, 0x6e, 0x70, 0x75,
	0x74, 0x4b, 0x69, 0x6e, 0x64, 0x12, 0x08, 0x0a, 0x04, 0x57, 0x45, 0x41, 0x4b, 0x10, 0x00, 0x12,
	0x0a, 0x0a, 0x06, 0x53, 0x54, 0x52, 0x4f, 0x4e, 0x47, 0x10, 0x01, 0x12, 0x11, 0x0a, 0x0d, 0x44,
	0x45, 0x53, 0x54, 0x52, 0x4f, 0x59, 0x5f, 0x52, 0x45, 0x41, 0x44, 0x59, 0x10, 0x02, 0x2a, 0x31,
	0x0a, 0x14, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x4f, 0x75, 0x74, 0x70,
	0x75, 0x74, 0x4b, 0x69, 0x6e, 0x64, 0x12, 0x0d, 0x0a, 0x09, 0x45, 0x58, 0x43, 0x4c, 0x55, 0x53,
	0x49, 0x56, 0x45, 0x10, 0x00, 0x12, 0x0a, 0x0a, 0x06, 0x53, 0x48, 0x41, 0x52, 0x45, 0x44, 0x10,
	0x01, 0x32, 0xfd, 0x01, 0x0a, 0x11, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72,
	0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x12, 0x67, 0x0a, 0x12, 0x52, 0x65, 0x67, 0x69, 0x73,
	0x74, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x12, 0x27, 0x2e,
	0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x65, 0x67,
	0x69, 0x73, 0x74, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75,
	0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x43, 0x6f,
	0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x40, 0x0a, 0x05, 0x53, 0x74, 0x61, 0x72, 0x74, 0x12, 0x1a, 0x2e, 0x63, 0x6f, 0x73, 0x69,
	0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x53, 0x74, 0x61, 0x72, 0x74, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e,
	0x74, 0x69, 0x6d, 0x65, 0x2e, 0x53, 0x74, 0x61, 0x72, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x3d, 0x0a, 0x04, 0x53, 0x74, 0x6f, 0x70, 0x12, 0x19, 0x2e, 0x63, 0x6f, 0x73,
	0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x53, 0x74, 0x6f, 0x70, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1a, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e,
	0x74, 0x69, 0x6d, 0x65, 0x2e, 0x53, 0x74, 0x6f, 0x70, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x32, 0xc3, 0x08, 0x0a, 0x11, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72,
	0x41, 0x64, 0x61, 0x70, 0x74, 0x65, 0x72, 0x12, 0x60, 0x0a, 0x0f, 0x52, 0x65, 0x63, 0x6f, 0x6e,
	0x63, 0x69, 0x6c, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x12, 0x24, 0x2e, 0x63, 0x6f, 0x73,
	0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63,
	0x69, 0x6c, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x25, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e,
	0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x30, 0x01, 0x12, 0x5b, 0x0a, 0x0e, 0x51, 0x75, 0x65,
	0x75, 0x65, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x12, 0x23, 0x2e, 0x63, 0x6f,
	0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x51, 0x75, 0x65, 0x75, 0x65,
	0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x24, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e,
	0x51, 0x75, 0x65, 0x75, 0x65, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x55, 0x0a, 0x0c, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x49, 0x6e, 0x70, 0x75, 0x74, 0x73, 0x12, 0x21, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75,
	0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x49, 0x6e, 0x70, 0x75,
	0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x73, 0x69,
	0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x49,
	0x6e, 0x70, 0x75, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x48, 0x0a,
	0x03, 0x47, 0x65, 0x74, 0x12, 0x1f, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74,
	0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x47, 0x65, 0x74, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e,
	0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x47, 0x65, 0x74, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4d, 0x0a, 0x04, 0x4c, 0x69, 0x73, 0x74, 0x12,
	0x20, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52,
	0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65,
	0x2e, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x30, 0x01, 0x12, 0x57, 0x0a, 0x08, 0x57, 0x61, 0x74, 0x63, 0x68, 0x46,
	0x6f, 0x72, 0x12, 0x24, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d,
	0x65, 0x2e, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x57, 0x61, 0x74, 0x63, 0x68, 0x46, 0x6f,
	0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x25, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e,
	0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x57,
	0x61, 0x74, 0x63, 0x68, 0x46, 0x6f, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x51, 0x0a, 0x06, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x12, 0x22, 0x2e, 0x63, 0x6f, 0x73, 0x69,
	0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65,
	0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x23, 0x2e,
	0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75, 0x6e,
	0x74, 0x69, 0x6d, 0x65, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x51, 0x0a, 0x06, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x22, 0x2e, 0x63,
	0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75, 0x6e, 0x74,
	0x69, 0x6d, 0x65, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x23, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e,
	0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x57, 0x0a, 0x08, 0x54, 0x65, 0x61, 0x72, 0x64, 0x6f, 0x77,
	0x6e, 0x12, 0x24, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65,
	0x2e, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x54, 0x65, 0x61, 0x72, 0x64, 0x6f, 0x77, 0x6e,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x25, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72,
	0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x54, 0x65,
	0x61, 0x72, 0x64, 0x6f, 0x77, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x54,
	0x0a, 0x07, 0x44, 0x65, 0x73, 0x74, 0x72, 0x6f, 0x79, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x73, 0x69,
	0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65,
	0x44, 0x65, 0x73, 0x74, 0x72, 0x6f, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24,
	0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75,
	0x6e, 0x74, 0x69, 0x6d, 0x65, 0x44, 0x65, 0x73, 0x74, 0x72, 0x6f, 0x79, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x63, 0x0a, 0x0c, 0x41, 0x64, 0x64, 0x46, 0x69, 0x6e, 0x61, 0x6c,
	0x69, 0x7a, 0x65, 0x72, 0x12, 0x28, 0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74,
	0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x41, 0x64, 0x64, 0x46, 0x69,
	0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x29,
	0x2e, 0x63, 0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75,
	0x6e, 0x74, 0x69, 0x6d, 0x65, 0x41, 0x64, 0x64, 0x46, 0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65,
	0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6c, 0x0a, 0x0f, 0x52, 0x65, 0x6d,
	0x6f, 0x76, 0x65, 0x46, 0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x12, 0x2b, 0x2e, 0x63,
	0x6f, 0x73, 0x69, 0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75, 0x6e, 0x74,
	0x69, 0x6d, 0x65, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x46, 0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a,
	0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2c, 0x2e, 0x63, 0x6f, 0x73, 0x69,
	0x2e, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2e, 0x52, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65,
	0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x46, 0x69, 0x6e, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x72, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x2e, 0x5a, 0x2c, 0x67, 0x69, 0x74, 0x68, 0x75,
	0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x63, 0x6f, 0x73, 0x69, 0x2d, 0x70, 0x72, 0x6f, 0x6a, 0x65,
	0x63, 0x74, 0x2f, 0x72, 0x75, 0x6e, 0x74, 0x69, 0x6d, 0x65, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x76,
	0x31, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1alpha1_runtime_proto_rawDescOnce sync.Once
	file_v1alpha1_runtime_proto_rawDescData = file_v1alpha1_runtime_proto_rawDesc
)

func file_v1alpha1_runtime_proto_rawDescGZIP() []byte {
	file_v1alpha1_runtime_proto_rawDescOnce.Do(func() {
		file_v1alpha1_runtime_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1alpha1_runtime_proto_rawDescData)
	})
	return file_v1alpha1_runtime_proto_rawDescData
}

var file_v1alpha1_runtime_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_v1alpha1_runtime_proto_msgTypes = make([]protoimpl.MessageInfo, 35)
var file_v1alpha1_runtime_proto_goTypes = []interface{}{
	(ControllerInputKind)(0),               // 0: cosi.runtime.ControllerInputKind
	(ControllerOutputKind)(0),              // 1: cosi.runtime.ControllerOutputKind
	(*ControllerInput)(nil),                // 2: cosi.runtime.ControllerInput
	(*ControllerOutput)(nil),               // 3: cosi.runtime.ControllerOutput
	(*RegisterControllerRequest)(nil),      // 4: cosi.runtime.RegisterControllerRequest
	(*RegisterControllerResponse)(nil),     // 5: cosi.runtime.RegisterControllerResponse
	(*StartRequest)(nil),                   // 6: cosi.runtime.StartRequest
	(*StartResponse)(nil),                  // 7: cosi.runtime.StartResponse
	(*StopRequest)(nil),                    // 8: cosi.runtime.StopRequest
	(*StopResponse)(nil),                   // 9: cosi.runtime.StopResponse
	(*ReconcileEventsRequest)(nil),         // 10: cosi.runtime.ReconcileEventsRequest
	(*ReconcileEventsResponse)(nil),        // 11: cosi.runtime.ReconcileEventsResponse
	(*QueueReconcileRequest)(nil),          // 12: cosi.runtime.QueueReconcileRequest
	(*QueueReconcileResponse)(nil),         // 13: cosi.runtime.QueueReconcileResponse
	(*UpdateInputsRequest)(nil),            // 14: cosi.runtime.UpdateInputsRequest
	(*UpdateInputsResponse)(nil),           // 15: cosi.runtime.UpdateInputsResponse
	(*RuntimeGetRequest)(nil),              // 16: cosi.runtime.RuntimeGetRequest
	(*RuntimeGetResponse)(nil),             // 17: cosi.runtime.RuntimeGetResponse
	(*RuntimeListOptions)(nil),             // 18: cosi.runtime.RuntimeListOptions
	(*RuntimeListRequest)(nil),             // 19: cosi.runtime.RuntimeListRequest
	(*RuntimeListResponse)(nil),            // 20: cosi.runtime.RuntimeListResponse
	(*RuntimeWatchForRequest)(nil),         // 21: cosi.runtime.RuntimeWatchForRequest
	(*ConditionFinalizersEmpty)(nil),       // 22: cosi.runtime.ConditionFinalizersEmpty
	(*RuntimeWatchForResponse)(nil),        // 23: cosi.runtime.RuntimeWatchForResponse
	(*RuntimeCreateRequest)(nil),           // 24: cosi.runtime.RuntimeCreateRequest
	(*RuntimeCreateResponse)(nil),          // 25: cosi.runtime.RuntimeCreateResponse
	(*RuntimeUpdateRequest)(nil),           // 26: cosi.runtime.RuntimeUpdateRequest
	(*RuntimeUpdateResponse)(nil),          // 27: cosi.runtime.RuntimeUpdateResponse
	(*RuntimeTeardownRequest)(nil),         // 28: cosi.runtime.RuntimeTeardownRequest
	(*Options)(nil),                        // 29: cosi.runtime.Options
	(*RuntimeTeardownResponse)(nil),        // 30: cosi.runtime.RuntimeTeardownResponse
	(*RuntimeDestroyRequest)(nil),          // 31: cosi.runtime.RuntimeDestroyRequest
	(*RuntimeDestroyResponse)(nil),         // 32: cosi.runtime.RuntimeDestroyResponse
	(*RuntimeAddFinalizerRequest)(nil),     // 33: cosi.runtime.RuntimeAddFinalizerRequest
	(*RuntimeAddFinalizerResponse)(nil),    // 34: cosi.runtime.RuntimeAddFinalizerResponse
	(*RuntimeRemoveFinalizerRequest)(nil),  // 35: cosi.runtime.RuntimeRemoveFinalizerRequest
	(*RuntimeRemoveFinalizerResponse)(nil), // 36: cosi.runtime.RuntimeRemoveFinalizerResponse
	(*Resource)(nil),                       // 37: cosi.resource.Resource
	(*LabelQuery)(nil),                     // 38: cosi.resource.LabelQuery
}
var file_v1alpha1_runtime_proto_depIdxs = []int32{
	0,  // 0: cosi.runtime.ControllerInput.kind:type_name -> cosi.runtime.ControllerInputKind
	1,  // 1: cosi.runtime.ControllerOutput.kind:type_name -> cosi.runtime.ControllerOutputKind
	2,  // 2: cosi.runtime.RegisterControllerRequest.inputs:type_name -> cosi.runtime.ControllerInput
	3,  // 3: cosi.runtime.RegisterControllerRequest.outputs:type_name -> cosi.runtime.ControllerOutput
	2,  // 4: cosi.runtime.UpdateInputsRequest.inputs:type_name -> cosi.runtime.ControllerInput
	37, // 5: cosi.runtime.RuntimeGetResponse.resource:type_name -> cosi.resource.Resource
	38, // 6: cosi.runtime.RuntimeListOptions.label_query:type_name -> cosi.resource.LabelQuery
	18, // 7: cosi.runtime.RuntimeListRequest.options:type_name -> cosi.runtime.RuntimeListOptions
	37, // 8: cosi.runtime.RuntimeListResponse.resource:type_name -> cosi.resource.Resource
	22, // 9: cosi.runtime.RuntimeWatchForRequest.finalizers_empty:type_name -> cosi.runtime.ConditionFinalizersEmpty
	37, // 10: cosi.runtime.RuntimeWatchForResponse.resource:type_name -> cosi.resource.Resource
	37, // 11: cosi.runtime.RuntimeCreateRequest.resource:type_name -> cosi.resource.Resource
	37, // 12: cosi.runtime.RuntimeCreateResponse.resource:type_name -> cosi.resource.Resource
	37, // 13: cosi.runtime.RuntimeUpdateRequest.new_resource:type_name -> cosi.resource.Resource
	37, // 14: cosi.runtime.RuntimeUpdateResponse.resource:type_name -> cosi.resource.Resource
	29, // 15: cosi.runtime.RuntimeTeardownRequest.options:type_name -> cosi.runtime.Options
	29, // 16: cosi.runtime.RuntimeDestroyRequest.options:type_name -> cosi.runtime.Options
	4,  // 17: cosi.runtime.ControllerRuntime.RegisterController:input_type -> cosi.runtime.RegisterControllerRequest
	6,  // 18: cosi.runtime.ControllerRuntime.Start:input_type -> cosi.runtime.StartRequest
	8,  // 19: cosi.runtime.ControllerRuntime.Stop:input_type -> cosi.runtime.StopRequest
	10, // 20: cosi.runtime.ControllerAdapter.ReconcileEvents:input_type -> cosi.runtime.ReconcileEventsRequest
	12, // 21: cosi.runtime.ControllerAdapter.QueueReconcile:input_type -> cosi.runtime.QueueReconcileRequest
	14, // 22: cosi.runtime.ControllerAdapter.UpdateInputs:input_type -> cosi.runtime.UpdateInputsRequest
	16, // 23: cosi.runtime.ControllerAdapter.Get:input_type -> cosi.runtime.RuntimeGetRequest
	19, // 24: cosi.runtime.ControllerAdapter.List:input_type -> cosi.runtime.RuntimeListRequest
	21, // 25: cosi.runtime.ControllerAdapter.WatchFor:input_type -> cosi.runtime.RuntimeWatchForRequest
	24, // 26: cosi.runtime.ControllerAdapter.Create:input_type -> cosi.runtime.RuntimeCreateRequest
	26, // 27: cosi.runtime.ControllerAdapter.Update:input_type -> cosi.runtime.RuntimeUpdateRequest
	28, // 28: cosi.runtime.ControllerAdapter.Teardown:input_type -> cosi.runtime.RuntimeTeardownRequest
	31, // 29: cosi.runtime.ControllerAdapter.Destroy:input_type -> cosi.runtime.RuntimeDestroyRequest
	33, // 30: cosi.runtime.ControllerAdapter.AddFinalizer:input_type -> cosi.runtime.RuntimeAddFinalizerRequest
	35, // 31: cosi.runtime.ControllerAdapter.RemoveFinalizer:input_type -> cosi.runtime.RuntimeRemoveFinalizerRequest
	5,  // 32: cosi.runtime.ControllerRuntime.RegisterController:output_type -> cosi.runtime.RegisterControllerResponse
	7,  // 33: cosi.runtime.ControllerRuntime.Start:output_type -> cosi.runtime.StartResponse
	9,  // 34: cosi.runtime.ControllerRuntime.Stop:output_type -> cosi.runtime.StopResponse
	11, // 35: cosi.runtime.ControllerAdapter.ReconcileEvents:output_type -> cosi.runtime.ReconcileEventsResponse
	13, // 36: cosi.runtime.ControllerAdapter.QueueReconcile:output_type -> cosi.runtime.QueueReconcileResponse
	15, // 37: cosi.runtime.ControllerAdapter.UpdateInputs:output_type -> cosi.runtime.UpdateInputsResponse
	17, // 38: cosi.runtime.ControllerAdapter.Get:output_type -> cosi.runtime.RuntimeGetResponse
	20, // 39: cosi.runtime.ControllerAdapter.List:output_type -> cosi.runtime.RuntimeListResponse
	23, // 40: cosi.runtime.ControllerAdapter.WatchFor:output_type -> cosi.runtime.RuntimeWatchForResponse
	25, // 41: cosi.runtime.ControllerAdapter.Create:output_type -> cosi.runtime.RuntimeCreateResponse
	27, // 42: cosi.runtime.ControllerAdapter.Update:output_type -> cosi.runtime.RuntimeUpdateResponse
	30, // 43: cosi.runtime.ControllerAdapter.Teardown:output_type -> cosi.runtime.RuntimeTeardownResponse
	32, // 44: cosi.runtime.ControllerAdapter.Destroy:output_type -> cosi.runtime.RuntimeDestroyResponse
	34, // 45: cosi.runtime.ControllerAdapter.AddFinalizer:output_type -> cosi.runtime.RuntimeAddFinalizerResponse
	36, // 46: cosi.runtime.ControllerAdapter.RemoveFinalizer:output_type -> cosi.runtime.RuntimeRemoveFinalizerResponse
	32, // [32:47] is the sub-list for method output_type
	17, // [17:32] is the sub-list for method input_type
	17, // [17:17] is the sub-list for extension type_name
	17, // [17:17] is the sub-list for extension extendee
	0,  // [0:17] is the sub-list for field type_name
}

func init() { file_v1alpha1_runtime_proto_init() }
func file_v1alpha1_runtime_proto_init() {
	if File_v1alpha1_runtime_proto != nil {
		return
	}
	file_v1alpha1_resource_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_v1alpha1_runtime_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ControllerInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ControllerOutput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RegisterControllerRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RegisterControllerResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StartRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StartResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StopRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StopResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReconcileEventsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReconcileEventsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*QueueReconcileRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*QueueReconcileResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateInputsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateInputsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeGetRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeGetResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeListOptions); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeListRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeListResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[19].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeWatchForRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[20].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConditionFinalizersEmpty); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[21].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeWatchForResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[22].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeCreateRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[23].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeCreateResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[24].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeUpdateRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[25].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeUpdateResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[26].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeTeardownRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[27].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Options); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[28].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeTeardownResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[29].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeDestroyRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[30].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeDestroyResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[31].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeAddFinalizerRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[32].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeAddFinalizerResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[33].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeRemoveFinalizerRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1alpha1_runtime_proto_msgTypes[34].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RuntimeRemoveFinalizerResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_v1alpha1_runtime_proto_msgTypes[0].OneofWrappers = []interface{}{}
	file_v1alpha1_runtime_proto_msgTypes[27].OneofWrappers = []interface{}{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1alpha1_runtime_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   35,
			NumExtensions: 0,
			NumServices:   2,
		},
		GoTypes:           file_v1alpha1_runtime_proto_goTypes,
		DependencyIndexes: file_v1alpha1_runtime_proto_depIdxs,
		EnumInfos:         file_v1alpha1_runtime_proto_enumTypes,
		MessageInfos:      file_v1alpha1_runtime_proto_msgTypes,
	}.Build()
	File_v1alpha1_runtime_proto = out.File
	file_v1alpha1_runtime_proto_rawDesc = nil
	file_v1alpha1_runtime_proto_goTypes = nil
	file_v1alpha1_runtime_proto_depIdxs = nil
}
